import { ClozeRegExp } from "./ClozeRegExp";
import { IClozePattern } from "../interfaces/IClozePattern";
import { ClozeFieldEnum } from "./ClozeFieldEnum";
import { ClozeTypeEnum } from "./ClozeTypeEnum";
export declare class ClozePattern implements IClozePattern {
    private readonly _raw;
    private readonly numPattern;
    private readonly hintPattern;
    private readonly hintRegex;
    private readonly numRegex;
    private readonly seqRegex;
    private readonly _clozeFieldOrder;
    private clozeRegexByType;
    private generateClozeRegexByType;
    constructor(raw: string);
    private static processPattern;
    private generateClozeRegexStr;
    private generateClozeSimpleRegex;
    private generateClozeClassicRegex;
    private generateClozeOLRegex;
    get clozeFieldsOrder(): ClozeFieldEnum[];
    getClozeRegex(clozeType: ClozeTypeEnum): ClozeRegExp;
    hasClozeType(text: string, clozeType: ClozeTypeEnum): boolean;
    getClozeTypes(text: string): ClozeTypeEnum[];
    getMainClozeType(text: string): ClozeTypeEnum | null;
}
