"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NoteClassByClozeType = exports.ClozeTypesPriority = exports.ClozeTypeEnum = void 0;
const ClozeNoteClassic_1 = require("./ClozeNoteClassic");
const ClozeNoteOL_1 = require("./ClozeNoteOL");
const ClozeNoteSimple_1 = require("./ClozeNoteSimple");
var ClozeTypeEnum;
(function (ClozeTypeEnum) {
    ClozeTypeEnum["CLASSIC"] = "classic";
    ClozeTypeEnum["OVERLAPPING"] = "overlapping";
    ClozeTypeEnum["SIMPLE"] = "simple";
})(ClozeTypeEnum || (exports.ClozeTypeEnum = ClozeTypeEnum = {}));
exports.ClozeTypesPriority = [
    ClozeTypeEnum.CLASSIC,
    ClozeTypeEnum.OVERLAPPING,
    ClozeTypeEnum.SIMPLE, // Cloze Simple must be the last one because it is a subset of Cloze Classic and Cloze Overlapping
];
exports.NoteClassByClozeType = {
    [ClozeTypeEnum.CLASSIC]: ClozeNoteClassic_1.ClozeNoteClassic,
    [ClozeTypeEnum.OVERLAPPING]: ClozeNoteOL_1.ClozeNoteOL,
    [ClozeTypeEnum.SIMPLE]: ClozeNoteSimple_1.ClozeNoteSimple,
};
