"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.simpleFormatter = exports.htmlFormatter = exports.escapeRegexString = void 0;
function escapeRegexString(str) {
    return str.replace(/[.*+?^${}()|[\]\\]/g, '\\$&');
}
exports.escapeRegexString = escapeRegexString;
class htmlFormatter {
    asking(answer, hint) {
        return `<span style='color:#2196f3'>${!hint ? '[...]' : `[${hint}]`}</span>`;
    }
    ;
    showingAnswer(answer, hint) {
        return `<span style='color:#2196f3'>${answer}</span>`;
    }
    ;
    hiding(answer, hint) {
        return `${!hint ? '...' : `[${hint}]`} `;
    }
    ;
}
exports.htmlFormatter = htmlFormatter;
class simpleFormatter {
    asking(answer, hint) {
        return `${!hint ? '[...]' : `[${hint}]`}`;
    }
    ;
    showingAnswer(answer, hint) {
        return answer;
    }
    ;
    hiding(answer, hint) {
        return `...`;
    }
    ;
}
exports.simpleFormatter = simpleFormatter;
